package sys_optionset

import (
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/logic/sys_optionset"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func GetErpOptionsetHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := sys_optionset.NewGetErpOptionsetLogic(r.Context(), ctx)
		r.ParseForm()
		resp, err := l.GetErpOptionset(r.Form.Get("code"))
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
